# Class XYSeriesRenderer.FillOutsideLine

java.lang.Object
com.codename1.charts.renderers.XYSeriesRenderer.FillOutsideLine

Enclosing class:
  `XYSeriesRenderer`

public static class XYSeriesRenderer.FillOutsideLine extends Object
A descriptor for the line fill behavior.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `XYSeriesRenderer.FillOutsideLine.Type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FillOutsideLine(XYSeriesRenderer.FillOutsideLine.Type type)`
  The line fill behavior.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColor()`
  Returns the fill color.
  `int[]`
  `getFillRange()`
  Returns the fill range which is the minimum and maximum data index values for the fill.
  `XYSeriesRenderer.FillOutsideLine.Type`
  `getType()`
  Returns the fill type.
  `void`
  `setColor(int color)`
  Sets the fill color
  `void`
  `setFillRange(int[] range)`
  Sets the fill range which is the minimum and maximum data index values for the fill.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### FillOutsideLine

    public FillOutsideLine(XYSeriesRenderer.FillOutsideLine.Type type)

    The line fill behavior.

    ###### Parameters

    - `type`: the fill type

- ## Method Details

  - ### getColor

    public int getColor()

    Returns the fill color.

    ###### Returns

    the fill color

  - ### setColor

    public void setColor(int color)

    Sets the fill color

    ###### Parameters

    - `color`: the fill color

  - ### getType

    public XYSeriesRenderer.FillOutsideLine.Type getType()

    Returns the fill type.

    ###### Returns

    the fill type

  - ### getFillRange

    public int[] getFillRange()

    Returns the fill range which is the minimum and maximum data index values for the fill.

    ###### Returns

    the fill range

  - ### setFillRange

    public void setFillRange(int[] range)

    Sets the fill range which is the minimum and maximum data index values for the fill.

    ###### Parameters

    - `range`: the fill range